Skip to main content

List Models

GET /v1/models
Returns the list of models available for the current API Key.

Authentication

Authorization: Bearer YOUR_API_KEY

Request Example

curl https://crazyrouter.com/v1/models \
  -H "Authorization: Bearer YOUR_API_KEY"

Response Format

{
  "object": "list",
  "data": [
    {
      "id": "gpt-4o",
      "object": "model",
      "created": 1700000000,
      "owned_by": "openai",
      "permission": [],
      "root": "gpt-4o",
      "parent": null
    },
    {
      "id": "claude-sonnet-4-20250514",
      "object": "model",
      "created": 1700000000,
      "owned_by": "anthropic",
      "permission": [],
      "root": "claude-sonnet-4-20250514",
      "parent": null
    },
    {
      "id": "gemini-2.5-flash",
      "object": "model",
      "created": 1700000000,
      "owned_by": "google",
      "permission": [],
      "root": "gemini-2.5-flash",
      "parent": null
    },
    {
      "id": "deepseek-r1",
      "object": "model",
      "created": 1700000000,
      "owned_by": "deepseek",
      "permission": [],
      "root": "deepseek-r1",
      "parent": null
    }
  ]
}

Field Descriptions

FieldTypeDescription
idstringModel identifier, used as the model parameter in API calls
objectstringAlways model
createdintegerUnix timestamp of creation time
owned_bystringOrganization that owns the model
The returned model list depends on your API Key permissions. Different tokens may be configured with different available model scopes.

Get Model Pricing

Model pricing information is available through a public endpoint:
GET /api/pricing
cURL
curl https://crazyrouter.com/api/pricing
This endpoint returns input/output pricing information for all models and does not require authentication.